> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all screenings for a product



## OpenAPI

````yaml get /products/{productPublicId}/screenings
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /products/{productPublicId}/screenings:
    get:
      tags:
        - Product
      summary: Get all screenings for a product
      operationId: get-products-{productPublicId}-screenings
      parameters:
        - in: path
          name: productPublicId
          required: true
          schema:
            type: string
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScreeningsForProductApiOutput'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetScreeningsForProductApiOutput:
      type: array
      items:
        type: object
        properties:
          publicId:
            type: string
            minLength: 16
            maxLength: 16
            examples:
              - screening_xxxxxxxxxxxx
          totalWeight:
            type:
              - number
              - 'null'
          notes:
            type:
              - string
              - 'null'
          energyStandbyConsumption:
            type:
              - number
              - 'null'
          energyOperationalConsumption:
            type:
              - number
              - 'null'
          lightSocketType:
            type: string
            enum:
              - None
              - E14
              - E27
              - G9
          amountOfLightSockets:
            type: number
            minimum: 0
            default: 0
          lightSourceOperationalConsumption:
            type:
              - number
              - 'null'
          lightSourceStandbyConsumption:
            type:
              - number
              - 'null'
          transportLocation:
            type:
              - object
              - 'null'
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - transportLocation_xxxxxxxxxxxx
            required:
              - publicId
          countryShare:
            type:
              - object
              - 'null'
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - countryShare_xxxxxxxxxxxx
            required:
              - publicId
          createdAt:
            type: string
            format: date-time
          updatedAt:
            type: string
            format: date-time
        required:
          - publicId
          - lightSocketType
          - amountOfLightSockets
          - createdAt
          - updatedAt
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````